List strategies visible to user
curl --request GET \
--url https://api.itoflow.ai/strategies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/strategies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/strategies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"strategies": [
{
"cloneOfStrategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"createdBy": "<string>",
"description": "<string>",
"executionStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialCapital": "<string>",
"isActive": true,
"lastExecutionAt": "<string>",
"latestDecision": {
"agentNotes": "<string>",
"confidence": 123,
"createdAt": "<string>",
"decisionType": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketOutlook": "<string>",
"reasoning": "<string>",
"tradeCount": 123
},
"mandatePending": true,
"name": "<string>",
"owned": true,
"portfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptFile": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Strategies
List strategies visible to user
Returns Itoflow-created strategies plus user-owned strategies. Supports filtering by active status, Itoflow-only, or user-only.
Operation ID: get__strategies.
GET
https://api.itoflow.ai
/
strategies
List strategies visible to user
curl --request GET \
--url https://api.itoflow.ai/strategies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/strategies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/strategies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"strategies": [
{
"cloneOfStrategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"createdBy": "<string>",
"description": "<string>",
"executionStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialCapital": "<string>",
"isActive": true,
"lastExecutionAt": "<string>",
"latestDecision": {
"agentNotes": "<string>",
"confidence": 123,
"createdAt": "<string>",
"decisionType": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketOutlook": "<string>",
"reasoning": "<string>",
"tradeCount": 123
},
"mandatePending": true,
"name": "<string>",
"owned": true,
"portfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptFile": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}